﻿@model AspCrudEF.Models.Veiculo

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Edit</title>
</head>
<body>
    <script src="~/Scripts/jquery-1.8.2.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
    
    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)
    
        <fieldset>
            <legend>Veiculo</legend>
    
            @Html.HiddenFor(model => model.Id)
    
            <div class="editor-label">
                @Html.LabelFor(model => model.Marca)
            </div>
            <div class="editor-field">
                @Html.EditorFor(model => model.Marca)
                @Html.ValidationMessageFor(model => model.Marca)
            </div>
    
            <div class="editor-label">
                @Html.LabelFor(model => model.Descricao)
            </div>
            <div class="editor-field">
                @Html.EditorFor(model => model.Descricao)
                @Html.ValidationMessageFor(model => model.Descricao)
            </div>
    
            <div class="editor-label">
                @Html.LabelFor(model => model.Ano)
            </div>
            <div class="editor-field">
                @Html.EditorFor(model => model.Ano)
                @Html.ValidationMessageFor(model => model.Ano)
            </div>
    
            <p>
                <input type="submit" value="Save" />
            </p>
        </fieldset>
    }
    
    <div>
        @Html.ActionLink("Back to List", "Index")
    </div>
</body>
</html>
